<template>
  <el-table :data="currentValue" border>
    <el-table-column
      label="参数名称"
      prop="name"
      width="120px"
    ></el-table-column>
    <el-table-column label="参数名称">
      <template #default="{ row }">
        <div v-if="disabled">{{ row.value }}</div>
        <el-input v-else v-model="row.value" @change="onInputChange"></el-input>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
export default {
  props: {
    value: {
      type: Array,
      default: () => [],
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      currentValue: [],
    }
  },
  watch: {
    value: {
      immediate: true,
      handler(value) {
        this.currentValue = (value || []).map((item) => {
          if (!item.value) {
            item.value = (item.values || []).join(',')
          }
          return item
        })
      },
    },
  },
  methods: {
    onInputChange() {
      this.$emit('input', this.currentValue)
      this.$emit('change', this.currentValue)
    },
  },
}
</script>

<style lang="scss" scoped>
.goods-params {
}
</style>
